Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url 'https://api.uniblock.dev/uni/v1/hyperliquid/info#33' \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data ' { "type": "delegations", "user": "0x000000000000000000000000000000000000dEaD" } '
const options = { method: 'POST', headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({type: 'delegations', user: '0x000000000000000000000000000000000000dEaD'}) }; fetch('https://api.uniblock.dev/uni/v1/hyperliquid/info#33', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.uniblock.dev/uni/v1/hyperliquid/info#33" payload = { "type": "delegations", "user": "0x000000000000000000000000000000000000dEaD" } headers = { "X-API-KEY": "<api-key>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
[]
Native Hyperliquid /info operation. Returns the user’s staking delegations.
/info
API key to access the API (Optional)
Unique identifier for a blockchain network.
999
998
Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)
Alchemy
Dwellir
Chainstack
Covalent
delegations
"delegations"
The account address to query (0x-prefixed).
"0x000000000000000000000000000000000000dEaD"
Successful response.
"0.0"
1704067200000
Was this page helpful?